<template>
  <div>
    <Component
      :is="getCurrentComponent"
      @nextStage="nextStage"
    />
  </div>
</template>

<script>
import {parentComponentMixin} from "@/utils/mixins";
import SelectTreatment from "@/components/quizzes/AccountCreation/SelectTreatment";
import AccountCreation1 from "@/components/quizzes/AccountCreation/AccountCreation1";
import AccountCreation2 from "@/components/quizzes/AccountCreation/AccountCreation2";
import AccountCreation3 from "@/components/quizzes/AccountCreation/AccountCreation3";
import AccountCreation4 from "@/components/quizzes/AccountCreation/AccountCreation4";
import AccountCreation5 from "@/components/quizzes/AccountCreation/AccountCreation5";

export default {
  mixins: [parentComponentMixin],
  name: "AccountCreation",
  data() {
    return {
      stages: {
        1: SelectTreatment, 2: AccountCreation1, 3: AccountCreation2,
        4: AccountCreation3, 5: AccountCreation4, 6: AccountCreation5
      },
      stageNumber: 1,
    }
  }
}
</script>

<style scoped>

</style>
